/*
 * Copyright 2003 Amber Archer Consulting Co., Inc. All rights reserved.
 * AMBER ARCHER PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package org.amberarcher.xml.tool.highlight;

import java.net.URL;
import java.net.MalformedURLException;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import junit.framework.TestCase;
import org.w3c.dom.Node;
import org.xml.sax.InputSource;

/**
 * Helper base class for highlighter unit tests.
 *
 * @author <a href="mailto:kdowney@amberarcher.com">Kyle F. Downey (Amber Archer)</a>
 * @version Revision$
 */
abstract class AbstractHighlighterTestCase extends TestCase {
    public AbstractHighlighterTestCase(String s) {
        super(s);
    }

    protected static Node parseTestFixture(String baseSysId) throws Exception {
        DocumentBuilder docBuilder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
        return docBuilder.parse(new InputSource(getSysId(baseSysId))).getFirstChild();
    }

    protected static String getSysId(String baseSysId) {
        return "file:src/share/test-fixtures/" + baseSysId;
    }

    protected static class TestHighlightContext implements HighlightContext {
        public TestHighlightContext(String srcSysId) {
            this.srcSysId = srcSysId;
        }

        public URL resolveRelativeUri(String uri) throws MalformedURLException {
            return new URL(new URL(srcSysId), uri);
        }

        private String srcSysId;
    }
}
