/*
 * Copyright 2003 Amber Archer Consulting Co., Inc. All rights reserved.
 * AMBER ARCHER PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package org.amberarcher.xml.tool.highlight;

import java.net.URL;
import java.net.MalformedURLException;

/**
 * Runtime object passed by the top-level highlight-control code to each highlighter.
 *
 * @author <a href="mailto:kdowney@amberarcher.com">Kyle F. Downey (Amber Archer)</a>
 * @version Revision$
 */
public interface HighlightContext {
    /**
     * Takes a URL (usually an include URL) relative to the host document
     * and resolves it to a fully-qualified URL.
     */
    URL resolveRelativeUri(String uri) throws MalformedURLException;
}
