/*
 * Copyright 2003 Amber Archer Consulting Co., Inc. All rights reserved.
 * AMBER ARCHER PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package org.amberarcher.xml.tool.highlight;

import org.w3c.dom.Node;

/**
 * Unit tests for source code highlighting.
 *
 * @author <a href="mailto:kdowney@amberarcher.com">Kyle F. Downey</a>
 * @version $Revision: 1.2 $
 */
public class SourceHighlighterUnitTests extends AbstractHighlighterTestCase {
    public SourceHighlighterUnitTests(String methodName) {
        super(methodName);
    }

    public void testIncludeFile() throws Exception {
        Highlighter h = new SourceHighlighter();
        h.setHighlightContext(new TestHighlightContext(getSysId("includeTest.xml")));

        Node resNode = h.highlight(parseTestFixture("includeTest.xml"));
        assertNotNull(resNode);
        assertEquals("pre", resNode.getNodeName());
    }

    public void testFragment() throws Exception {
        Highlighter h = new SourceHighlighter();
        h.setHighlightContext(new TestHighlightContext(getSysId("fragmentTest.xml")));

        Node resNode = h.highlight(parseTestFixture("fragmentTest.xml"));
        assertNotNull(resNode);
        assertEquals("pre", resNode.getNodeName());
    }
}
