/*
 * Copyright 2003 Amber Archer Consulting Co., Inc. All rights reserved.
 * AMBER ARCHER PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package org.amberarcher.xml.tool.highlight;

import org.w3c.dom.Node;

/**
 * Tests embedding XML code in XHTML.
 *
 * @author <a href="mailto:kdowney@amberarcher.com">Kyle F. Downey</a>
 * @version $Revision: 1.2 $
 */
public class XmlHighlighterUnitTests extends AbstractHighlighterTestCase {
    public XmlHighlighterUnitTests(String methodName) {
        super(methodName);
    }

    public void testIncludeXmlInline() throws Exception {
        Highlighter h = new XmlHighlighter();
        h.setHighlightContext(new TestHighlightContext(getSysId("xmlFragmentTest.xml")));

        Node replaceNode = parseTestFixture("xmlFragmentTest.xml");
        Node resNode = h.highlight(replaceNode);
        assertEquals("pre", resNode.getNodeName());
    }

    public void testIncludeXmlByRef() throws Exception {
        Highlighter h = new XmlHighlighter();
        h.setHighlightContext(new TestHighlightContext(getSysId("xmlIncludeTest.xml")));

        Node replaceNode = parseTestFixture("xmlIncludeTest.xml");
        Node resNode = h.highlight(replaceNode);
        assertEquals("pre", resNode.getNodeName());
    }
}
